Package com.io7m.idstore.model

# Record Class IdToken

java.lang.Object
java.lang.Record
com.io7m.idstore.model.IdToken

Record Components:
  `value` - The token string

public record IdToken(String value) extends Record
A generic token.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Pattern`
  `VALID_HEX`
  The pattern that defines a valid token.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdToken(String value)`
  A generic token.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `static IdToken`
  `generate()`
  Generate a random token, using a default strong RNG instance.
  `static IdToken`
  `generate(SecureRandom random)`
  Generate a random token.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `toString()`
  Returns a string representation of this record class.
  `String`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### VALID_HEX

    public static final Pattern VALID_HEX
    The pattern that defines a valid token.

- ## Constructor Details

  - ### IdToken

    public IdToken(String value)
    A generic token.
    Parameters:
      `value` - The token string

- ## Method Details

  - ### generate

    public static IdToken generate(SecureRandom random)
    Generate a random token.
    Parameters:
      `random` - The secure random instance
    Returns:
      A random token

  - ### generate

    public static IdToken generate()
    Generate a random token, using a default strong RNG instance.
    Returns:
      A random token

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### value

    public String value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component